package be.maximvdw.ac.lang;

/**
 * Messages
 * 
 * Messages for AutismChat
 * 
 * @project AutismChat
 * @version 02-2014
 * @category Chat Formatting
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public class Messages {
	public static String errNoPerm = "&cYou do not have permission!";
	public static String statusSet = "&8Status {COLOR}{STATUS}&8 set for player &7{TARGET}&8.";
	public static String statusSetGlobal = "&8Status {COLOR}{STATUS} &8 set as global status.";
	public static String notValidPlayer = "&7{TARGET}&8 is not a valid player!";
	public static String settingsReset = "Your status will be {COLOR}{STATUS}&8 when you relog.";
	public static String globalChatOff = "Global chat has been turned &coff&8.";
	public static String globalChatOn = "Global chat has been turned &aon&8.";
	public static String globalPvpOn = "&8Now globally &aallowing&8 pvp!";
	public static String globalPvpOff = "&8Now globally &cdenying&8 pvp!";
	public static String allowPvpPlayer = "Now &aallowing&8 pvp with &7{TARGET}";
	public static String denyPvpPlayer = "Now &cdenying&8 pvp with &7{TARGET}";
	public static String loginResetKeep = "Settings will be kept upon relog!";
	public static String loginResetReset = "Settings will be reset upon relog!";
	public static String noSuchColor = "The color status '&4{COLOR}&c' does not exist!";
	public static String noAccepting = "{RECEIVER} is not accepting any messages!";
	public static String invalidArgs = "&cInvalid arguments: ";
	public static String privateMessageLocked = "Private messaging to &7{TARGET}&8 locked.";
	public static String privateMessageUnlocked = "Private messaging to &7{TARGET}&8 unlocked.";
	public static String privateMessageWhite = "&8Warning: Now allowing messages from and to &7{TARGET}";
	public static String replyNoMessages = "You have not received any private message!";
	public static String clearedAllPlayers = "Cleared all settings for all players!";
	public static String clearedPlayer = "&8Cleared all settings for player &7{TARGET}";
	public static String playerSpecifics = "&8Player-specific settings you have made:";
}
