package be.maximvdw.ac.tab;

import org.bukkit.plugin.Plugin;

/**
 * 
 * 
 * Holds tab information such as plugin and tab strings
 * 
 * 
 * @author Drew
 * 
 */
class TabHolder {
	Plugin p;

	String[] msgs;
	int[] pings;

	public TabHolder(Plugin p) {
		this.p = p;
		this.msgs = new String[TabAPI.getMaxPlayers()];
		this.pings = new int[TabAPI.getMaxPlayers()];
	}

	public TabHolder getCopy() {
		TabHolder newCopy = new TabHolder(p);
		newCopy.msgs = copyStringArray(msgs);
		newCopy.pings = copyIntArray(pings);
		return newCopy;
	}

	/* Util method, copy tab array to new array */
	private static String[] copyStringArray(String[] tabs) {
		int max = TabAPI.getMaxPlayers();
		String[] temp = new String[max];
		for (int i = 0; i < max; i++) {
			temp[i] = tabs[i];
		}
		return temp;
	}

	private static int[] copyIntArray(int[] tabs) {
		int max = TabAPI.getMaxPlayers();
		int[] temp = new int[max];
		for (int i = 0; i < max; i++) {
			temp[i] = tabs[i];
		}
		return temp;
	}
}
