package be.maximvdw.ac.lib;

import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

/**
 * MVdWPlugin
 * 
 * MVdWPlugin class extends JavaPlugin to be compatible with the validator.
 * 
 * @project MVdW Software Plugin Interface
 * @version 12-02-2014
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public abstract class MVdWPlugin extends JavaPlugin {
	/**
	 * Register plugin listeners
	 * 
	 * @param pm
	 *            Plugin Manager
	 */
	public void registerListeners(PluginManager pm) {
	}

	/**
	 * Register plugin schedulers
	 */
	public void registerSchedulers() {
	}

	/**
	 * Register plugin commands
	 */
	public void registerCommands() {
	}

	/**
	 * Register managers
	 */
	public void registerManagers() {
	}

	/**
	 * Load the configuration
	 */
	public void loadConfiguration() {
	}
}
