package be.maximvdw.ac.ui;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import be.maximvdw.ac.utils.ColorUtils;

/**
 * @project AutismChat
 * @version 02-2014
 * @category Chat Formatting
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public class SendGame {

	/**
	 * Send a private message
	 * 
	 * @param message
	 *            Message to send
	 */
	public static void toPlayer(String message, Player player) {
		message = ColorUtils.toColors(message); // Color the message
		player.sendMessage(message);
	}

	/**
	 * Send a broadcast to the server
	 * 
	 * @param message
	 *            Message to broadcast
	 */
	public static void toServer(String message) {
		message = ColorUtils.toColors(message); // Color the message
		Bukkit.broadcastMessage(message);
	}

}
